import { INavigable } from '../interfaces/navigable-interface';
import { NavController } from 'ionic-angular'

export abstract class DefaultNavigable implements INavigable {

    constructor(public navCtrl: NavController) {}

    goToPage(page: any): void {
        this.navCtrl.push(page.component);
    }
}
